---------------------------------------------------------------------
-- Set GLOBAL AUTOINCREMENT partition number 1.

SET OPTION PUBLIC.GLOBAL_DATABASE_ID = '1';

SET OPTION PUBLIC.DELETE_OLD_LOGS = 'DELAY';

---------------------------------------------------------------------
-- Create public user id and password for running MobiLink client

BEGIN
   REVOKE CONNECT FROM REMOTE_DBA;
   EXCEPTION WHEN OTHERS THEN
END;

GRANT CONNECT TO REMOTE_DBA IDENTIFIED BY SQL;
GRANT REMOTE DBA TO REMOTE_DBA;

---------------------------------------------------------------------
BEGIN
   DROP SYNCHRONIZATION SUBSCRIPTION TO pub1 FOR "1";
   EXCEPTION WHEN OTHERS THEN
END;

BEGIN
   DROP SYNCHRONIZATION USER "1";
   EXCEPTION WHEN OTHERS THEN
END;

BEGIN
   DROP PUBLICATION pub1;
   EXCEPTION WHEN OTHERS THEN
END;

---------------------------------------------------------------------
BEGIN
   DROP TABLE parent;
   EXCEPTION WHEN OTHERS THEN
END;

CREATE TABLE parent (
   p1            VARCHAR ( 10 ) NOT NULL,
   data          INTEGER NOT NULL DEFAULT 0,
   r1            BIGINT NOT NULL 
                    DEFAULT GLOBAL AUTOINCREMENT ( 1000000000 ),
   PRIMARY KEY ( r1 ),
   UNIQUE ( p1 ) );

---------------------------------------------------------------------
-- Create MobiLink user name "1".

CREATE PUBLICATION pub1 (
   TABLE parent ( p1,
                  data,
                  r1 ) );

CREATE SYNCHRONIZATION USER "1" TYPE tcpip;

CREATE SYNCHRONIZATION SUBSCRIPTION TO pub1 FOR "1";


